Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--javax.servlet.ServletOutputStream

public abstract class ServletOutputStream
extends java.io.OutputStream

Servlets can use ServletOutputStream to write binary data to the response. ServletOutputStream provides several methods similar to the methods of PrintWriter.

Typically, servlets will use response.getOutputStream to get this object.

Note, the PrintWriter-like methods do not handle character encoding properly. If you need non-ascii character output, use getWriter().

Buffering of the output stream is controlled by the Response object.

Constructor Summary
`ServletOutputStream()`

Method Summary
`void` | `print(boolean b)` Prints a boolean value to output.
`void` | `print(char c)` Prints a character to the output.
`void` | `print(double d)` Prints a double to the output.
`void` | `print(float f)` Prints a float to the output.
`void` | `print(int i)` Prints an integer to the output.
`void` | `print(long l)` Prints a long to the output.
`void` | `print(java.lang.String s)` Prints a string to the stream.
`void` | `println()` Prints a newline to the output.
`void` | `println(boolean b)` Prints a boolean to the output, followed by a newline.
`void` | `println(char c)` Prints a character to the output, followed by a newline.
`void` | `println(double d)` Prints a double to the output, followed by a newline.
`void` | `println(float f)` Prints a float to the output, followed by a newline.
`void` | `println(int i)` Prints an integer to the output, followed by a newline.
`void` | `println(long l)` Prints a long to the output, followed by a newline.
`void` | `println(java.lang.String s)` Prints a string to the output, followed by a newline.

Methods inherited from class java.io.OutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletOutputStream

    public ServletOutputStream()

Method Detail

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Prints a string to the stream. Note, this method does not properly handle character encoding.
  Parameters:
    `s` - the string to write.

### print

    public void print(boolean b)
               throws java.io.IOException

  Prints a boolean value to output.
  Parameters:
    `b` - the boolean value

### print

    public void print(char c)
               throws java.io.IOException

  Prints a character to the output. Note, this doesn't handle character encoding properly.
  Parameters:
    `c` - the character value

### print

    public void print(int i)
               throws java.io.IOException

  Prints an integer to the output.
  Parameters:
    `i` - the integer value

### print

    public void print(long l)
               throws java.io.IOException

  Prints a long to the output.
  Parameters:
    `l` - the long value

### print

    public void print(float f)
               throws java.io.IOException

  Prints a float to the output.
  Parameters:
    `f` - the float value

### print

    public void print(double d)
               throws java.io.IOException

  Prints a double to the output.
  Parameters:
    `d` - the double value

### println

    public void println()
                 throws java.io.IOException

  Prints a newline to the output.

### println

    public void println(java.lang.String s)
                 throws java.io.IOException

  Prints a string to the output, followed by a newline. Note, character encoding is not properly handled.
  Parameters:
    `s` - the string value

### println

    public void println(boolean b)
                 throws java.io.IOException

  Prints a boolean to the output, followed by a newline.
  Parameters:
    `b` - the boolean value

### println

    public void println(char c)
                 throws java.io.IOException

  Prints a character to the output, followed by a newline. Note, character encoding is not properly handled.
  Parameters:
    `c` - the character value

### println

    public void println(int i)
                 throws java.io.IOException

  Prints an integer to the output, followed by a newline.
  Parameters:
    `i` - the integer value

### println

    public void println(long l)
                 throws java.io.IOException

  Prints a long to the output, followed by a newline.
  Parameters:
    `l` - the long value

### println

    public void println(float f)
                 throws java.io.IOException

  Prints a float to the output, followed by a newline.
  Parameters:
    `f` - the float value

### println

    public void println(double d)
                 throws java.io.IOException

  Prints a double to the output, followed by a newline.
  Parameters:
    `d` - the double value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD